//
//  NTParticle.h
//  Tractor Beam
//
//  Created by William Thimbleby on 21/10/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "NTWorld.h"


@interface NTPlasma : NSObject
{
	float maxlife, life;
	NTWorld *world;
	
	float x,y;
	float dx,dy;
	float size;
}

+ (NTPlasma*) createPlasmaInWorld:(NTWorld*)w withLife:(float)l x:(float)xi y:(float)yi dx:(float)dxi dy:(float)dyi;
- (NTPlasma*) initInWorld:(NTWorld*)w withLife:(float)l x:(float)xi y:(float)yi dx:(float)dxi dy:(float)dyi;
- (void)tick:(float)time;

-(float)x;
-(float)y;

@end
